<?php
/**
* © Copyright 2009 IntraHealth International, Inc.
* 
* This File is part of I2CE 
* 
* I2CE is free software; you can redistribute it and/or modify 
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License 
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
* @package iHRIS
* @subpackage Common
* @author Carl Leitner <litlfred@ibiblio.org>
* @version v3.2
* @since v3.2
* @filesource
*/
/**
* Class iHRIS_Module_PersonContact
*
* @access public
*/


class iHRIS_Module_GuineeContact extends I2CE_Module {

	protected static $contacts = array("personal","emergency"); 
        /**
     * Return the array of hooks available in this module.
     * @return array
     */
    public static function getHooks() {
        $hooks = array();
        foreach ( self::$contacts as $type ) {
            $hooks["validate_form_person_contact_${type}_field_telephone"] = "validate_form_contact_field_telephone";
        }
         foreach ( self::$contacts as $type ) {
            $hooks["validate_form_person_contact_${type}_field_mobile_phone"] = "validate_form_contact_field_mobile_phone";
        }
        
        $hooks["validate_form_person_contact_personal_field_lien_parent"] = "validate_form_contact_field_lien_parent";
        return $hooks;
    }

    /**
     * Validate the telephone field for contact forms.
     * @param I2CE_FormField $formfield
     */
    public function validate_form_contact_field_telephone( $formfield)
    {
		$value = $formfield->getValue();
		if(strlen($value)>0)
		{
			//echo "Enter in the form";
			
			if ( I2CE_Validate::checkNumber( $value )==false) {
				$formfield->setInvalidMessage('Numero de telephone invalid! Entrer un nombre de 8 chiffres');
			}
			else if (strlen($value) < 9)
			{
				$formfield->setInvalidMessage('Numero de telephone invalid! Entrer un nombre de 8 chiffres');
			}
		}
		
    }
	public function validate_form_contact_field_mobile_phone( $formfield)
    {
		$value = $formfield->getValue();
		if(strlen($value)>0)
		{
			
			if ( I2CE_Validate::checkNumber( $value )==false) {
				$formfield->setInvalidMessage('Numero de telephone invalid! Entrer un nombre d\'au moins 9 chiffres');
			}
			else if (strlen($value) < 9)
			{
				$formfield->setInvalidMessage('Numero de telephone invalid! Entrer un nombre d\'au moins 9 chiffres');
			}
		}
		//echo "Enter in the form";
        
    }
    public function validate_form_contact_field_lien_parent( $formfield)
    {
		/*
		if(isset($formfield))
		{
			$value = $formfield->getValue();
			if(strlen($value)<=0)
			{
				$formfield->setInvalidMessage('Le lien de parenté doit être renseigné');
				
			}
		}
		*/
		return;
		//echo "Enter in the form";
        
    }


    /**
     * Upgrades the modules
     * @param string $old_vers
     * @param string $new_vers
     * @returns boolean
     */


}
# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
