<?php
class iHRIS_Module_Engagement extends I2CE_Module {

    /**
     * Set up the fuzzy methods for this module.
     * @return array
     */
    static function getMethods() {
        return array( 'iHRIS_PageView->action_engagement'
                      => 'action_engagement' );
    }
	/**
     * Return the array of hooks available in this module.
     * @return array
     */
    public static function getHooks() {
        return array(
                'validate_form_engagement' => 'validate_form_engagement'
                );
    }
 
    /**
     * Add the engagement form to the view person page.
     * @param I2CE_Page $page
     * @return boolean
     */
    function action_engagement( $page ) {
       $page->addLastChildForm( 'engagement', 'date_engage', 'siteContent');
        return true;
   }
    public function validate_form_engagement( $form ) {
		
		$specialisationAutres=$form->getField('specialisation')->getDBValue();
		$specialisationMedical=$form->getField('specialisation_medical')->getDBValue();
		//XOR choice for specialisation and specialisation medical
		if(strlen($specialisationAutres)==0 && strlen($specialisationMedical)==0)
		{
			$form->setInvalidMessage('specialisation','Veuillez choisir soit une specialisation médicale ou non médical!', '');
			$form->setInvalidMessage('specialisation_medical','Veuillez choisir soit une specialisation médicale ou non médical!', '');
			
		}
		elseif(strlen($specialisationAutres)>=1 && strlen($specialisationMedical)>=1)
		{
			$form->setInvalidMessage('specialisation','Veuillez choisir soit une specialisation médicale ou non médical!', '');
			$form->setInvalidMessage('specialisation_medical','Veuillez choisir soit une specialisation médicale ou non médical!', '');
		}
		else
		{
			//check if degree is provided
			$degree=$form->getField('degree')->getDBValue();
			if(strlen($degree)==0)
			{
				$form->setInvalidMessage('degree','Veuillez spécifier le niveau d\'etude!', '');
			}
			else
			{
				return;
			}
		}
		
	}
	


}

